﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using ServiceDesk.Data.ServiceDesk.Domain.Models;

namespace ServiceDesk.Data.Migrations
{
    [DbContext(typeof(ServiceDeskContext))]
    [Migration("20210703220305_RemoveNombreUsuario")]
    partial class RemoveNombreUsuario
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:Collation", "SQL_Latin1_General_CP1_CI_AS")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.7")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasMaxLength(256)
                        .HasColumnType("nvarchar(256)");

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256)
                        .HasColumnType("nvarchar(256)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasDatabaseName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("RoleId")
                        .IsRequired()
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("RoleId")
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Departamento", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_Departamento_CreadoPor");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_Departamento_ModificadoPor");

                    b.ToTable("Departamento");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.HistorialIncidente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<string>("Comentario")
                        .IsRequired()
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<int>("IncidenteId")
                        .HasColumnType("int");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_HistorialIncidente_CreadoPor");

                    b.HasIndex(new[] { "IncidenteId" }, "IX_HistorialIncidente_IncidenteId");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_HistorialIncidente_ModificadoPor");

                    b.ToTable("HistorialIncidente");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Incidente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<string>("ComentarioCierre")
                        .IsRequired()
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<int>("DepartamentoId")
                        .HasColumnType("int");

                    b.Property<string>("Descripcion")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaCierre")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<int>("PrioridadId")
                        .HasColumnType("int");

                    b.Property<string>("Titulo")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("UsuarioAsignadoId")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("UsuarioReportaId")
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_Incidente_CreadoPor");

                    b.HasIndex(new[] { "DepartamentoId" }, "IX_Incidente_DepartamentoId");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_Incidente_ModificadoPor");

                    b.HasIndex(new[] { "PrioridadId" }, "IX_Incidente_PrioridadId");

                    b.HasIndex(new[] { "UsuarioAsignadoId" }, "IX_Incidente_UsuarioAsignadoId");

                    b.HasIndex(new[] { "UsuarioReportaId" }, "IX_Incidente_UsuarioReportaId");

                    b.ToTable("Incidente");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Prioridad", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<int>("SlaId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_Prioridad_CreadoPor");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_Prioridad_ModificadoPor");

                    b.HasIndex(new[] { "SlaId" }, "IX_Prioridad_SlaId");

                    b.ToTable("Prioridad");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Puesto", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<int>("DepartamentoId")
                        .HasColumnType("int");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_Puesto_CreadoPor");

                    b.HasIndex(new[] { "DepartamentoId" }, "IX_Puesto_DepartamentoId");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_Puesto_ModificadoPor");

                    b.ToTable("Puesto");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Sla", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<int>("CantidadHoras")
                        .HasColumnType("int");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Descripcion")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_Sla_CreadoPor");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_Sla_ModificadoPor");

                    b.ToTable("Sla");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("nvarchar(450)");

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<string>("Apellido")
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<bool>("Borrado")
                        .HasColumnType("bit");

                    b.Property<string>("Cedula")
                        .HasMaxLength(11)
                        .HasColumnType("nvarchar(11)");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Correo")
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("CreadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Email")
                        .HasMaxLength(256)
                        .HasColumnType("nvarchar(256)");

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<bool>("Estatus")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset>("FechaModificacion")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTime>("FechaNacimiento")
                        .HasColumnType("datetime");

                    b.Property<DateTimeOffset>("FechaRegistro")
                        .HasColumnType("datetimeoffset");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ModificadoPor")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Nombre")
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256)
                        .HasColumnType("nvarchar(256)");

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256)
                        .HasColumnType("nvarchar(256)");

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<int>("PuestoId")
                        .HasColumnType("int");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Telefono")
                        .HasMaxLength(15)
                        .HasColumnType("nvarchar(15)");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<string>("UserName")
                        .HasMaxLength(256)
                        .HasColumnType("nvarchar(256)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasDatabaseName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasDatabaseName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.HasIndex(new[] { "CreadoPor" }, "IX_Usuario_CreadoPor");

                    b.HasIndex(new[] { "ModificadoPor" }, "IX_Usuario_ModificadoPor");

                    b.HasIndex(new[] { "PuestoId" }, "IX_Usuario_PuestoId");

                    b.ToTable("Usuario");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Departamento", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("DepartamentoCreadoPorNavigations")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("DepartamentoModificadoPorNavigations")
                        .HasForeignKey("ModificadoPor");

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("ModificadoPorNavigation");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.HistorialIncidente", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("HistorialIncidenteCreadoPorNavigations")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Incidente", "Incidente")
                        .WithMany("HistorialIncidentes")
                        .HasForeignKey("IncidenteId")
                        .IsRequired();

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("HistorialIncidenteModificadoPorNavigations")
                        .HasForeignKey("ModificadoPor");

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("Incidente");

                    b.Navigation("ModificadoPorNavigation");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Incidente", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("IncidenteCreadoPorNavigations")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Departamento", "Departamento")
                        .WithMany("Incidentes")
                        .HasForeignKey("DepartamentoId")
                        .IsRequired();

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("IncidenteModificadoPorNavigations")
                        .HasForeignKey("ModificadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Prioridad", "Prioridad")
                        .WithMany("Incidentes")
                        .HasForeignKey("PrioridadId")
                        .IsRequired();

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "UsuarioAsignado")
                        .WithMany("IncidenteUsuarioAsignados")
                        .HasForeignKey("UsuarioAsignadoId");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "UsuarioReporta")
                        .WithMany("IncidenteUsuarioReporta")
                        .HasForeignKey("UsuarioReportaId");

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("Departamento");

                    b.Navigation("ModificadoPorNavigation");

                    b.Navigation("Prioridad");

                    b.Navigation("UsuarioAsignado");

                    b.Navigation("UsuarioReporta");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Prioridad", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("PrioridadCreadoPorNavigations")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("PrioridadModificadoPorNavigations")
                        .HasForeignKey("ModificadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Sla", "Sla")
                        .WithMany("Prioridads")
                        .HasForeignKey("SlaId")
                        .IsRequired();

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("ModificadoPorNavigation");

                    b.Navigation("Sla");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Puesto", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("PuestoCreadoPorNavigations")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Departamento", "Departamento")
                        .WithMany("Puestos")
                        .HasForeignKey("DepartamentoId")
                        .IsRequired();

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("PuestoModificadoPorNavigations")
                        .HasForeignKey("ModificadoPor");

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("Departamento");

                    b.Navigation("ModificadoPorNavigation");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Sla", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("SlaCreadoPorNavigations")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("SlaModificadoPorNavigations")
                        .HasForeignKey("ModificadoPor");

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("ModificadoPorNavigation");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", b =>
                {
                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "CreadoPorNavigation")
                        .WithMany("InverseCreadoPorNavigation")
                        .HasForeignKey("CreadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", "ModificadoPorNavigation")
                        .WithMany("InverseModificadoPorNavigation")
                        .HasForeignKey("ModificadoPor");

                    b.HasOne("ServiceDesk.Data.ServiceDesk.Domain.Models.Puesto", "Puesto")
                        .WithMany("Usuarios")
                        .HasForeignKey("PuestoId")
                        .IsRequired();

                    b.Navigation("CreadoPorNavigation");

                    b.Navigation("ModificadoPorNavigation");

                    b.Navigation("Puesto");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Departamento", b =>
                {
                    b.Navigation("Incidentes");

                    b.Navigation("Puestos");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Incidente", b =>
                {
                    b.Navigation("HistorialIncidentes");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Prioridad", b =>
                {
                    b.Navigation("Incidentes");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Puesto", b =>
                {
                    b.Navigation("Usuarios");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Sla", b =>
                {
                    b.Navigation("Prioridads");
                });

            modelBuilder.Entity("ServiceDesk.Data.ServiceDesk.Domain.Models.Usuario", b =>
                {
                    b.Navigation("DepartamentoCreadoPorNavigations");

                    b.Navigation("DepartamentoModificadoPorNavigations");

                    b.Navigation("HistorialIncidenteCreadoPorNavigations");

                    b.Navigation("HistorialIncidenteModificadoPorNavigations");

                    b.Navigation("IncidenteCreadoPorNavigations");

                    b.Navigation("IncidenteModificadoPorNavigations");

                    b.Navigation("IncidenteUsuarioAsignados");

                    b.Navigation("IncidenteUsuarioReporta");

                    b.Navigation("InverseCreadoPorNavigation");

                    b.Navigation("InverseModificadoPorNavigation");

                    b.Navigation("PrioridadCreadoPorNavigations");

                    b.Navigation("PrioridadModificadoPorNavigations");

                    b.Navigation("PuestoCreadoPorNavigations");

                    b.Navigation("PuestoModificadoPorNavigations");

                    b.Navigation("SlaCreadoPorNavigations");

                    b.Navigation("SlaModificadoPorNavigations");
                });
#pragma warning restore 612, 618
        }
    }
}
